XMLCollector.cpp File Reference
`#include <boost/optional.hpp>`
`#include <stack>`
`#include "libebook_utils.h"`
`#include "XMLCollector.h"`
`#include "EBOOKOutputElements.h"`

## Classes
struct | libebook::XMLCollector::State
class | RVNGTextInterface

## Namespaces
namespace | libebook

## Macros
#define | TR_SoftBookL(c, e, n, a, r)
#define | TR(c, e, a)
#define | TR_R(c, e, a)
#define | TR_NEW(c, e, n, a)
#define | TR_NEW_R(c, e, n, a)
#define | TR_ANY(c, e, a)
#define | TR_ANY_R(c, e, a)

## Macro Definition Documentation

## ◆ TR

#define TR | ( |  | c,
|  |  | e,
|  |  | a )

Value:
TR_SoftBookL(c, e, c, a, false)
TR_SoftBookL
#define TR_SoftBookL(c, e, n, a, r)
Definition XMLCollector.cpp:899

## ◆ TR_ANY

#define TR_ANY | ( |  | c,
|  |  | e,
|  |  | a )

Value:
TR_SoftBookL(c, e, c, a, false)

## ◆ TR_ANY_R

#define TR_ANY_R | ( |  | c,
|  |  | e,
|  |  | a )

Value:
TR_SoftBookL(c, e, c, a, true)

## ◆ TR_NEW

#define TR_NEW | ( |  | c,
|  |  | e,
|  |  | n,
|  |  | a )

Value:
TR_SoftBookL(c, e, n, a, false)

## ◆ TR_NEW_R

#define TR_NEW_R | ( |  | c,
|  |  | e,
|  |  | n,
|  |  | a )

Value:
TR_SoftBookL(c, e, n, a, true)

## ◆ TR_R

#define TR_R | ( |  | c,
|  |  | e,
|  |  | a )

Value:
TR_SoftBookL(c, e, c, a, true)

## ◆ TR_SoftBookL

#define TR_SoftBookL | ( |  | c,
|  |  | e,
|  |  | n,
|  |  | a,
|  |  | r )

Value:
{c, e, n, a, r}